Skip to main content
GET
/
v1
/
alert-rules
/
{rule_id}
Get an alert rule
curl --request GET \
  --url https://api.us.poly.ai/v1/alert-rules/{rule_id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.us.poly.ai/v1/alert-rules/{rule_id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.us.poly.ai/v1/alert-rules/{rule_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "ar_0Kx4mNpQ8rWvYb2dFgHjLs",
  "name": "<string>",
  "threshold_value": 1,
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "project_id": "<string>",
  "since": "2023-11-07T05:31:56Z",
  "last_evaluated_at": "2023-11-07T05:31:56Z",
  "current_value": 123
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}
{
  "success": false,
  "error": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "data": "<unknown>"
}

Authorizations

X-API-KEY
string
header
required

An API key is a token that you provide when making API calls. Include the token in a header parameter called X-API-KEY.

Path Parameters

rule_id
string
required

The rule_id must be a prefixed ID (e.g. ar_0Kx4mNpQ8rWvYb2dFgHjLs).

Pattern: ^ar_[A-Za-z0-9]+$
Example:

"ar_0Kx4mNpQ8rWvYb2dFgHjLs"

Response

Alert rule retrieved successfully.

An alert rule: its trigger condition, evaluation window, and current state.

id
string
required

Alert rule ID

Pattern: ^ar_[A-Za-z0-9]+$
Example:

"ar_0Kx4mNpQ8rWvYb2dFgHjLs"

name
string
required

Alert rule name

metric
enum<string>
required

Metric being monitored

Available options:
turn_latency_p50,
turn_latency_p95,
api_errors,
function_errors,
call_crashes,
call_volume
operator
enum<string>
required

Comparison operator

Available options:
>,
<,
>=,
<=
threshold_value
integer
required

Threshold value

Required range: x >= 0
window_duration
enum<string>
required

Window duration (5m, 10m, or 60m)

Available options:
5m,
10m,
60m
enabled
boolean
required

Whether the alert is enabled

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

project_id
string | null

Project ID

current_state
enum<string>

Current alert state

Available options:
ok,
alert,
no_data,
unknown
since
string<date-time> | null

When the current state started

last_evaluated_at
string<date-time> | null

Last evaluation timestamp

current_value
integer | null

Current metric value

Last modified on March 10, 2026